<div class="mt-4" [formGroup]="checkoutForm">
  <div class="row">
    <div class="form-group col-12" formGroupName="paymentForm">
      <app-text-input
        [label]="'Name on card'"
        formControlName="nameOnCard"
      ></app-text-input>
    </div>
    <div class="form-group col-6">
      <div #cardNumber class="form-control py-3"></div>
      <ng-container *ngIf="cardErrors">
        <span class="text-danger">{{ cardErrors }}</span>
      </ng-container>
    </div>
    <div class="form-group col-3">
      <div #cardExpiry class="form-control py-3"></div>
    </div>
    <div class="form-group col-3">
      <div #cardCvc class="form-control py-3"></div>
    </div>
  </div>
</div>

<div
  class="float-none d-flex justify-content-between flex-column flex-lg-row mb-5"
>
  <button class="btn btn-outline-primary" cdkStepperPrevious>
    <i class="fa fa-angle-left"></i> Back to Review
  </button>
  <button (click)="submitOrder()" class="btn btn-primary">
    Submit Order <i class="fa fa-angle-right"></i>
  </button>
</div>
